<?php require_once 'couch/cms.php'; ?>

<cms:template title='Store Locator' clonable='1' commentable='0' dynamic_folders='1'>

<cms:editable name='photo' label='Store / Office Photo' type='image' preview='0' />
<cms:editable name='building_name' label='Building Name' type='text' />
<cms:editable name='street_name' label='Street Name' type='text' />
<cms:editable name='region' label='Region / Province / County' type='text' />
<cms:editable name='zip_postcode' label='Zip / Post Code' type='text' />
<cms:editable name='country' label='Country' type='dropdown' opt_values='Afghanistan | Albania | Algeria | Andorra | Angola | Antigua & Deps | Argentina | Armenia | Australia | Austria | Azerbaijan | Bahamas | Bahrain | Bangladesh | Barbados | Belarus | Belgium | Belize | Benin | Bhutan | Bolivia | Bosnia Herzegovina | Botswana | Brazil | Brunei | Bulgaria | Burkina | Burundi | Cambodia | Cameroon | Canada | Cape Verde | Central African Rep | Chad | Chile | China | Colombia | Comoros | Congo | Congo Democratic Rep | Costa Rica | Croatia | Cuba | Cyprus | Czech Republic | Denmark | Djibouti | Dominica | Dominican Republic | East Timor | Ecuador | Egypt | El Salvador | Equatorial Guinea | Eritrea | Estonia | Ethiopia | Fiji | Finland | France | Gabon | Gambia | Georgia | Germany | Ghana | Greece | Grenada | Guatemala | Guinea | Guinea Bissau | Guyana | Haiti | Honduras | Hungary | Iceland | India | Indonesia | Iran | Iraq | Ireland | Israel | Italy | Ivory Coast | Jamaica | Japan | Jordan | Kazakhstan | Kenya | Kiribati | Korea North | Korea South | Kosovo | Kuwait | Kyrgyzstan | Laos | Latvia | Lebanon | Lesotho | Liberia | Libya | Liechtenstein | Lithuania | Luxembourg | Macedonia | Madagascar | Malawi | Malaysia | Maldives | Mali | Malta | Marshall Islands | Mauritania | Mauritius | Mexico | Micronesia | Moldova | Monaco | Mongolia | Montenegro | Morocco | Mozambique | Myanmar Burma  | Namibia | Nauru | Nepal | Netherlands |   | New  Zealand | Nicaragua | Niger | Nigeria | Norway | Oman | Pakistan | Palau | Panama | Papua New Guinea | Paraguay | Peru | Philippines | Poland | Portugal | Qatar | Romania | Russian Federation | Rwanda | St Kitts Nevis | St Lucia | Saint Vincent the Grenadines | Samoa | San Marino | Sao Tome Principe | Saudi Arabia | Senegal | Serbia | Seychelles | Sierra Leone | Singapore | Slovakia | Slovenia | Solomon Islands | Somalia | South Africa | Spain | Sri Lanka | Sudan | Suriname | Swaziland | Sweden | Switzerland | Syria | Taiwan | Tajikistan | Tanzania | Thailand | Togo | Tonga | Trinidad & Tobago | Tunisia | Turkey | Turkmenistan | Tuvalu | Uganda | Ukraine | United Arab Emirates | United Kingdom | United States | Uruguay | Uzbekistan | Vanuatu | Vatican City | Venezuela | Vietnam | Yemen | Zambia | Zimbabwe' />
<cms:editable name='telephone' label='Telephone' type='text' />
<cms:editable name='fax' label='Fax' type='text' />
<cms:editable name='web' label='Web Address' desc='Enter the full URL i.e. http://www.companyname.com' type='text' />
<cms:editable name='email' label='Email' type='text' />

<cms:editable name='gmap' type='message' desc='Drag the marker into position'>
   <script src="<cms:show k_couch_link/>addons/gmap-picker-1-2/jquery-2.1.1.min.js"></script>
   <script src="http://maps.googleapis.com/maps/api/js?sensor=false"></script>
   <script src="<cms:show k_couch_link/>addons/gmap-picker-1-2/jquery-gmaps-latlon-picker.js"></script>
   <div class="gllpLatlonPicker" id="gmap">
      <div class="gllpMap" style="width:750px;height:450px;"></div>
      <input type="hidden" class="gllpLatitude" value=""/>
      <input type="hidden" class="gllpLongitude" value=""/>
      <input type="hidden" class="gllpZoom" value="1"/>
   </div>
   <script>
      jQuery.noConflict();
      (function($) {
         $(function() {
            var startLat = $("#f_gmap_latitude").val();
            $("#gmap>.gllpLatitude").val(startLat).change(function() {
               var newLat = $(this).val();
               $("#f_gmap_latitude").val(newLat);
            });
            var startLng = $("#f_gmap_longitude").val();
            $("#gmap>.gllpLongitude").val(startLng).change(function() {
               var newLng = $(this).val();
               $("#f_gmap_longitude").val(newLng);
            });
         });
      })(jQuery);
   </script>
</cms:editable>
<cms:editable name='gmap_latitude' type='text'/>
<cms:editable name='gmap_longitude' type='text'/>

</cms:template>

<cms:if k_is_page><!--Load the PAGE with the small single map for the specific location-->

<!DOCTYPE html>
<html> 
<head> 
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
  <script src="http://maps.google.com/maps/api/js?sensor=false" 
          type="text/javascript"></script>
          
  <style type="text/css">
  html, body { height: 100%; margin:0; padding:2em; }
  </style>
          
</head> 
<body>

	<h2><cms:show k_page_title /></h2>
	
	<div id="map" style="width: 100%; height: 300px;"></div>

	<script type="text/javascript">
	var locations = [
	  ['<strong><cms:show k_page_title /></strong><br><a href="<cms:show k_page_link />">View More</a>', <cms:show gmap_latitude />, <cms:show gmap_longitude />, <cms:show k_id />]<cms:if k_count != k_total_records>, </cms:if>
	];
	
	var map = new google.maps.Map(document.getElementById('map'), {
	  zoom: 10,
	  center: new google.maps.LatLng(<cms:show gmap_latitude />, <cms:show gmap_longitude />),
	  mapTypeId: google.maps.MapTypeId.ROADMAP
	});
	
	var infowindow = new google.maps.InfoWindow();
	
	var marker, i;
	
	for (i = 0; i < locations.length; i++) {  
	  marker = new google.maps.Marker({
	    position: new google.maps.LatLng(locations[i][1], locations[i][2]),
	    map: map
	  });
	
	  google.maps.event.addListener(marker, 'click', (function(marker, i) {
	    return function() {
	      infowindow.setContent(locations[i][0]);
	      infowindow.open(map, marker);
	    }
	  })(marker, i));
	}
	</script>

</body>
</html>

<cms:else /><!--Load the BIG MAP with all the markers-->

<!DOCTYPE html>
<html> 
<head> 
  <meta http-equiv="content-type" content="text/html; charset=UTF-8" /> 
  <script src="http://maps.google.com/maps/api/js?sensor=false" 
          type="text/javascript"></script>
          
  <style type="text/css">
  html, body { height: 100%; margin:0; padding:0; }
  </style>
          
</head> 
<body>
  <div id="map" style="width: 100%; height: 100%;"></div>

  <script type="text/javascript">
    var locations = [
	<cms:pages masterpage='store-locator.php'>
      ['<strong><cms:show k_page_title /></strong><br><a href="<cms:show k_page_link />">View More</a>', <cms:show gmap_latitude />, <cms:show gmap_longitude />, <cms:show k_id />]<cms:if k_count != k_total_records>, </cms:if>
    </cms:pages>
    ];

    var map = new google.maps.Map(document.getElementById('map'), {
      zoom: <cms:get_custom_field 'zoom' masterpage='globals.php' />,
      center: new google.maps.LatLng(<cms:get_custom_field 'latitude' masterpage='globals.php' />, <cms:get_custom_field 'longitude' masterpage='globals.php' />),
      mapTypeId: google.maps.MapTypeId.ROADMAP
    });

    var infowindow = new google.maps.InfoWindow();

    var marker, i;

    for (i = 0; i < locations.length; i++) {  
      marker = new google.maps.Marker({
        position: new google.maps.LatLng(locations[i][1], locations[i][2]),
        map: map
      });

      google.maps.event.addListener(marker, 'click', (function(marker, i) {
        return function() {
          infowindow.setContent(locations[i][0]);
          infowindow.open(map, marker);
        }
      })(marker, i));
    }
  </script>
</body>
</html>

</cms:if>


<?php COUCH::invoke(); ?>